Subject: Re: USB on MPC8272

From: Vitaly Bordug <[email-masked]>
Date: Thu, 08 Dec 2005 18:56:17 +0300

Kumar Gala wrote:
> 
> On Nov 30, 2005, at 12:43 AM, Mike Rapoport wrote:
> 
>> Nathael PAJANI wrote:
>>
>>> Hi all!
>>>
>>>
>>> I have to support USB hcd for an Actis board based on a MPC8248 
>>> processor. I already have a 2.6.9 linux kernel running fine on it, 
>>> and actualy have to use it rather than a newer one.
>>> I'm actualy looking for existing or ongoing jobs.
>>
>> Dear Nathael,
>> As far as I understand there are several drivers for the MPC8272 usb 
>> host controller, and none of them is in
>> official kernel tree.
>> There's a driver in Metrowerks BSP for linux 2.6 for MPC8272 (the 
>> Freescale driver), an orignally mpc8xx driver by Brad Parker ported to 
>> linux 2.4 for MPC8272 by Pantelis Antoniou, there ought to be USB 
>> driver by ArabellaSW also.
>> My driver ("http://cpm2usb.sourceforge.net./") is a port of the Brad 
>> Parker's driver to linux 2.6 with some modifications.
> 
> And, ideally we would like to see one driver get into the linux source 
> tree that everyone is happy with.  I'm told by someone that the FSL 
> driver is suppose to have working host support "was tested/verified with 
> keyboard/mouse/diskdrives/network".
> 
We have that FS driver rework in progress, but even now it's quite hard to estimate the finish. The result will proceed upstream, anyway, but this is long-term I afraid.
> - kumar
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
Sincerely, 
Vitaly